-- noBrainShiftConfig.lua

local version = 28;

local function noBrainShiftBuildConfig(MoonTimeConfigPanel)




if ( GetLocale() == "deDE" ) then
	L = MoonTime_noBrainShift_Strings["deDE"]
else
	L = MoonTime_noBrainShift_Strings["enGB"]
end

-- Make a child panel
local MoonTime_Layout_noBrainShift_ConfigPanel = CreateFrame( "ScrollFrame", "MyAddonChild", MoonTimeConfigPanel);
MoonTime_Layout_noBrainShift_ConfigPanel:SetBackdropColor(1,0,1,1)
MoonTime_Layout_noBrainShift_ConfigPanel:SetWidth(200)
 MoonTime_Layout_noBrainShift_ConfigPanel:SetHeight(200)
  --MoonTime_Layout_noBrainShift_ConfigPanel:SetOrientation('VERTICAL')


MoonTime_Layout_noBrainShift_ConfigPanel.name = "noBrainShift";
 -- Specify childness of this panel (this puts it under the little red [+], instead of giving it a normal AddOn category)
 MoonTime_Layout_noBrainShift_ConfigPanel.parent = MoonTimeConfigPanel.name;
 

 -- Add the child to the Interface Options
 InterfaceOptions_AddCategory(MoonTime_Layout_noBrainShift_ConfigPanel);
 
 

 
local blubb = {"MoonTimeNextCastframe", "MoonTimeEclipseframe", "MoonTimeMFframe", "MoonTimeSunFframe", "MoonTimeStarrainframe", "MoonTimeFaerieFireframe", "MoonTimeCelestialAlignmentframe"} 
	
local skills = {
	["MoonTimeNextCastframe"] = {["appearance"] = {}, ["icon"] = SS_icon},
	["MoonTimeEclipseframe"] = {["appearance"] = {"text","no text"}, ["icon"] = Lunar_icon},
	["MoonTimeMFframe"] = {["appearance"] = {"popup","text"}, ["icon"] = MF_icon},
	["MoonTimeSunFframe"] = {["appearance"] = {"popup","text"}, ["icon"] = SunF_icon},
	["MoonTimeStarrainframe"] = {["appearance"] = {"popup","text"}, ["icon"] = SR_icon},
	["MoonTimeFaerieFireframe"] = {["appearance"] = {"popup","text"}, ["icon"] = FF_icon},
	["MoonTimeCelestialAlignmentframe"] = {["appearance"] = {"popup","text"}, ["icon"] = CA_icon},
	}
 
 
 local liste = {
	"MoonTimeNextCastframe",
	"MoonTimeEclipseframe",
	"MoonTimeMFframe",
	"MoonTimeSunFframe",
	"MoonTimeStarrainframe",
	"MoonTimeFaerieFireframe",
	"MoonTimeCelestialAlignmentframe"
	}
 
 for a = 1, 18, 1 do

local name, texture = GetTalentInfo(a, 1, nil, nil, 11)
tinsert (blubb, name)
local anker = CreateFrame("Frame","Anker",labelframe)
	anker:SetPoint("TOPLEFT", textbox, "BOTTOMLEFT", 0, 0)
	anker:SetWidth(250)
	anker:SetHeight(85)
	anker:Hide()
	
		


	skills[name] = {["appearance"] = {"popup","text"}, ["icon"] = texture, ["name"] = name}
	skills[name]["frame"] = anker
end
 
 

local liste = {
	"MoonTimeNextCastframe",
	"MoonTimeEclipseframe",
	"MoonTimeMFframe",
	"MoonTimeSunFframe",
	"MoonTimeStarrainframe",
	"MoonTimeFaerieFireframe",
	"MoonTimeCelestialAlignmentframe"
	}
	


 
local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrainShift_ConfigPanel, "textbox", "ARTWORK", "GameFontNormalLarge", "TOPLEFT", MoonTime_Layout_noBrainShift_ConfigPanel, "TOPLEFT", 10, -10, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText("|cffFFFF00".."Layout noBrainShift".."|r")
	textbox:Show()	
local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrainShift_ConfigPanel, "textbox", "ARTWORK", "GameFontNormal", "TOPLEFT", textbox, "BOTTOMLEFT", 0, 0, 500, 100, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(L["description"])
	textbox:SetHeight(textbox:GetStringHeight())
	textbox:Show()	
	

	
	
	
	
	
	
local aussen = CreateFrame("Frame","Aussenframe", MoonTime_Layout_noBrainShift_ConfigPanel)
	aussen:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background", edgeFile = "Interface/DialogFrame/UI-DialogBox-Border",tile = true, tileSize = 16, edgeSize = 16, insets = { left = 4, right = 4, top = 4, bottom = 4 } });
	aussen:SetBackdropColor(0,0,0)
	aussen:SetPoint("TOPLEFT", textbox, "BOTTOMLEFT", 0, -20)
	aussen:SetSize(574,485)
	aussen:Show();
	
local scroller = CreateFrame("Frame","Aussenframe", MoonTime_Layout_noBrainShift_ConfigPanel)
	scroller:SetBackdrop({bgFile = "Interface/TutorialFrame/TutorialFrameBackground", edgeFile = "Interface/DialogFrame/UI-DialogBox-Border",tile = true, tileSize = 16, edgeSize = 16, insets = { left = 4, right = 4, top = 4, bottom = 4 } });
	scroller:SetBackdropColor(0,0,0.2)
	scroller:SetPoint("TOPLEFT", aussen, "TOPRIGHT", 0, 0)
	scroller:SetSize(27,27)
	scroller:Show();
	
local scroller = CreateFrame("Frame","Aussenframe", MoonTime_Layout_noBrainShift_ConfigPanel)
	scroller:SetBackdrop({bgFile = "Interface/TutorialFrame/TutorialFrameBackground", edgeFile = "Interface/DialogFrame/UI-DialogBox-Border",tile = true, tileSize = 16, edgeSize = 16, insets = { left = 4, right = 4, top = 4, bottom = 4 } });
	scroller:SetBackdropColor(0,0,0.2)
	scroller:SetPoint("TOPLEFT", aussen, "TOPRIGHT", 0, -27+12)
	scroller:SetSize(27,450)
	scroller:Show();
	
local scroller = CreateFrame("Frame","Aussenframe", MoonTime_Layout_noBrainShift_ConfigPanel)
	scroller:SetBackdrop({bgFile = "Interface/TutorialFrame/TutorialFrameBackground", edgeFile = "Interface/DialogFrame/UI-DialogBox-Border",tile = true, tileSize = 16, edgeSize = 16, insets = { left = 4, right = 4, top = 4, bottom = 4 } });
	scroller:SetBackdropColor(0,0,0.2)
	scroller:SetPoint("TOPLEFT", aussen, "TOPRIGHT", 0, -457)
	scroller:SetSize(27,27)
	scroller:Show();

local MoonTime_Layout_noBrainShift_ScrollFrame = CreateFrame("ScrollFrame", "MoonTime_Layout_noBrainShift_ScrollFramereviewFrame", MoonTime_Layout_noBrainShift_ConfigPanel, "UIPanelScrollFrameTemplate")
	MoonTime_Layout_noBrainShift_ScrollFrame:SetPoint("TOPLEFT", aussen, "TOPLEFT", 6, -6)
	MoonTime_Layout_noBrainShift_ScrollFrame.name = "Scrollframe";
 
local MoonTime_Layout_noBrainShift_ScrollFrameScrollChild = CreateFrame("Frame", "MoonTime_Layout_noBrainShift_ScrollFramereviewSC", MoonTime_Layout_noBrainShift_ScrollFrame)
 
 
local PADDING = 5
local height = 485-12
local width = 562
 

local labelframe = CreateFrame("Frame","labelframe", MoonTime_Layout_noBrainShift_ScrollFrame)
	labelframe:SetPoint("TOPLEFT", MoonTime_Layout_noBrainShift_ScrollFrame, "TOPLEFT", 0, 0)
	labelframe:SetWidth(width)
	labelframe:SetHeight(44*16*5)
	
v = 0;
a = 0;
--for value in pairs(liste) do	
for index, value in pairs(liste) do



if ceil(v/2) == v/2 then 
	a = 0;
	else
	a = 281;
end	
	
local anker = MoonTime:CreateFrame( "Frame", "anker", labelframe, "", "TOPLEFT", labelframe, "TOPLEFT", 2+a, -2-floor(v/2)*100, 281, 40)
	skills[value]["frame"] = anker

	

local checkbutton1 = MoonTime:CreateFrame("CheckButton", "CheckButton1_"..value, anker, "UICheckButtonTemplate", "TOPLEFT", anker, "TOPLEFT", 0, 0, 28, 28)
	if MoonTime_DB["Layout_noBrainShift"][value]["active"] then checkbutton1:SetChecked() end
	checkbutton1:Show()

local pictureframe = MoonTime:CreateFrame( "Frame", "PictureFrame", anker, "", "TOPLEFT", checkbutton1, "BOTTOMLEFT", 0, 0, 48, 48)
		pictureframe:SetBackdrop({
			bgFile = skills[value]["icon"],
			tile = false, tileSize = height, edgeSize = 0,
			insets = { left = 0, right = 0, top = 0, bottom = 0 }
		})
	
local textbox1 = MoonTime:CreateFontString(anker, "textbox", "ARTWORK","GameFontNormal", "TOPLEFT", checkbutton1, "TOPRIGHT", 10, -2, 270, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox1:SetText(L[value])
	textbox1:Show()	
		

local textbox2 = MoonTime:CreateFontString(anker, "textbox", "ARTWORK","GameFontNormalSmall", "TOPLEFT", pictureframe, "TOPRIGHT", 0, 0, 50, 16, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox2:SetText("x offset")
	textbox2:SetJustifyH("RIGHT");
	textbox2:Show()


local editframe1 = MoonTime:CreateFrame("EditBox", "MoonTimeEditBox1_"..value, anker, "InputBoxTemplate", "LEFT", textbox2, "RIGHT", 10, 0, 40, 12)
	editframe1:SetAutoFocus(false) 
	editframe1:SetText(MoonTime_DB["Layout_noBrainShift"][value]["xoffset"]);
	editframe1:SetJustifyH("CENTER");
	editframe1:SetJustifyV("CENTER");
	editframe1:SetCursorPosition(0)
	editframe1:SetScript("OnTextChanged", function(self) MoonTime_DB["Layout_noBrainShift"][value]["xoffset"] = editframe1:GetNumber() MoonTime:setLayout(MoonTime_DB["layout"]) end )
	editframe1:Show()
	
	
local textbox3 = MoonTime:CreateFontString(anker, "textbox", "ARTWORK","GameFontNormalSmall", "TOPLEFT", textbox2, "BOTTOMLEFT", 0, 0, 50, 16, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox3:SetText("y offset")
	textbox3:SetJustifyH("RIGHT");
	textbox3:Show()

local editframe2 = MoonTime:CreateFrame("EditBox", "MoonTimeEditBox2_"..value, anker, "InputBoxTemplate", "LEFT", textbox3, "RIGHT", 10, 0, 40, 12)
	editframe2:SetAutoFocus(false) 
	editframe2:SetText(MoonTime_DB["Layout_noBrainShift"][value]["yoffset"]);
	editframe2:SetJustifyH("CENTER");
	editframe2:SetJustifyV("CENTER");
	editframe2:SetCursorPosition(0)
	editframe2:SetScript("OnTextChanged", function(self) MoonTime_DB["Layout_noBrainShift"][value]["yoffset"] = editframe2:GetNumber() MoonTime:setLayout(MoonTime_DB["layout"]) end )
	editframe2:Show()

	
local textbox4 = MoonTime:CreateFontString(anker, "textbox", "ARTWORK","GameFontNormalSmall", "TOPLEFT", textbox2, "TOPRIGHT", 50, 0, 50, 12, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox4:SetText("x dim")
	textbox4:SetJustifyH("RIGHT");
	textbox4:Show()

local editframe3 = MoonTime:CreateFrame("EditBox", "MoonTimeEditBox3_"..value, anker, "InputBoxTemplate", "LEFT", textbox4, "RIGHT", 10, 0, 40, 12)
	editframe3:SetAutoFocus(false) 
	editframe3:SetText(MoonTime_DB["Layout_noBrainShift"][value]["xdim"]);
	editframe3:SetJustifyH("CENTER");
	editframe3:SetJustifyV("CENTER");
	editframe3:SetCursorPosition(0)
	editframe3:SetScript("OnTextChanged", function(self) MoonTime_DB["Layout_noBrainShift"][value]["xdim"] = editframe3:GetNumber() MoonTime:setLayout(MoonTime_DB["layout"]) end )
	editframe3:Show()
	

local textbox5 = MoonTime:CreateFontString(anker, "textbox", "ARTWORK","GameFontNormalSmall", "TOPLEFT", textbox3, "TOPRIGHT", 50, 0, 50, 12, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox5:SetText("y dim")
	textbox5:SetJustifyH("RIGHT");
	textbox5:Show()

local editframe4 = MoonTime:CreateFrame("EditBox", "MoonTimeEditBox4_"..value, anker, "InputBoxTemplate", "LEFT", textbox5, "RIGHT", 10, 0, 40, 12)
	editframe4:SetAutoFocus(false) 
	editframe4:SetText(MoonTime_DB["Layout_noBrainShift"][value]["ydim"]);
	editframe4:SetJustifyH("CENTER");
	editframe4:SetJustifyV("CENTER");
	editframe4:SetCursorPosition(0)
	editframe4:SetScript("OnTextChanged", function(self) MoonTime_DB["Layout_noBrainShift"][value]["ydim"] = editframe4:GetNumber() MoonTime:setLayout(MoonTime_DB["layout"]) end )
	editframe4:Show()


if getn(skills[value]["appearance"])>0 then 	


	
local function initialize(self, level)
	local info = UIDropDownMenu_CreateInfo()
   
	for i, v in pairs(skills[value]["appearance"]) do
		info = UIDropDownMenu_CreateInfo()
		info.text = v
		info.value = v
		info.func = function(self) 
			UIDropDownMenu_SetSelectedID( UIDROPDOWNMENU_OPEN_MENU, self:GetID()) 
			UIDropDownMenu_SetSelectedValue( UIDROPDOWNMENU_OPEN_MENU , self:GetText()) 
			MoonTime_DB["Layout_noBrainShift"][value]["appearance"] = self:GetText();
			MoonTime:setLayout(MoonTime_DB["layout"])
		end
		UIDropDownMenu_AddButton(info, level)
	end
end


local MoonTimeLayoutsDropDown=CreateFrame("Frame", "MoonTimeLayoutsDropDown_"..value, anker, "UIDropDownMenuTemplate")
	MoonTimeLayoutsDropDown:ClearAllPoints()
	MoonTimeLayoutsDropDown:SetPoint('TOPLEFT', textbox3, 'BOTTOMLEFT', -15, 0)
	MoonTimeLayoutsDropDown:Show()
--	MoonTimeLayoutsDropDown:SetScript("OnShow", function(self)
 
 UIDropDownMenu_Initialize(MoonTimeLayoutsDropDown, initialize, "")
 UIDropDownMenu_SetWidth(MoonTimeLayoutsDropDown, 70);
 UIDropDownMenu_SetButtonWidth(MoonTimeLayoutsDropDown, 254)
 UIDropDownMenu_SetSelectedValue(MoonTimeLayoutsDropDown, MoonTime_DB["Layout_noBrainShift"][value]["appearance"])
 UIDropDownMenu_JustifyText(MoonTimeLayoutsDropDown, "LEFT")
 
 --MoonTimeLayoutsDropDown:SetPoint('LEFT', textbox1, 'LEFT', 0, -100)
 --end)


end


 
	

	
	checkbutton1:SetScript("OnClick", function(self) 
		if ( checkbutton1:GetChecked() ) then 
			textbox1:SetTextColor(1,1,1) textbox2:SetTextColor(1,1,1) textbox3:SetTextColor(1,1,1) textbox4:SetTextColor(1,1,1) textbox5:SetTextColor(1,1,1) 
			editframe1:SetTextColor(1,1,1) editframe2:SetTextColor(1,1,1) editframe3:SetTextColor(1,1,1) editframe4:SetTextColor(1,1,1)
		else 
			textbox1:SetTextColor(0.5,0.5,0.5) textbox2:SetTextColor(0.5,0.5,0.5) textbox3:SetTextColor(0.5,0.5,0.5) textbox4:SetTextColor(0.5,0.5,0.5) textbox5:SetTextColor(0.5,0.5,0.5) 
			editframe1:SetTextColor(0.5,0.5,0.5) editframe2:SetTextColor(0.5,0.5,0.5) editframe3:SetTextColor(0.5,0.5,0.5) editframe4:SetTextColor(0.5,0.5,0.5)
		end 
		MoonTime_DB["Layout_noBrainShift"][value]["active"] = checkbutton1:GetChecked() 
		MoonTime:setLayout(MoonTime_DB["layout"])

	end)	
	if ( not MoonTime_DB["Layout_noBrainShift"]["MoonTimeNextCastframe"]["active"] ) then 
		textbox1:SetTextColor(0.5,0.5,0.5) textbox2:SetTextColor(0.5,0.5,0.5) textbox3:SetTextColor(0.5,0.5,0.5) textbox4:SetTextColor(0.5,0.5,0.5) textbox5:SetTextColor(0.5,0.5,0.5) 
		editframe1:SetTextColor(0.5,0.5,0.5) editframe2:SetTextColor(0.5,0.5,0.5) editframe3:SetTextColor(0.5,0.5,0.5) editframe4:SetTextColor(0.5,0.5,0.5)
	end

	
	
	v = v+1;
end
		








-- Anfang Talente



--local liste = {};
--[[
local continue = false;


for a = 1, 5, 1 do
local	isFree, talent = GetTalentRowSelectionInfo(a)
continue = false;

if talent == 1 or talent == 7  or talent == 10  or talent == 17 then  continue = true  end


if not isFree and not continue then
--]]
for a = 1, 18, 1 do

local name, texture = GetTalentInfo(a, 1, nil, nil, 11)
tinsert (blubb, name)
local anker = CreateFrame("Frame","Anker",labelframe)
	anker:SetPoint("TOPLEFT", textbox, "BOTTOMLEFT", 0, 0)
	anker:SetWidth(250)
	anker:SetHeight(85)
	anker:Hide()
	
		


	skills[name] = {["appearance"] = {"popup","text"}, ["icon"] = texture, ["name"] = name}
	skills[name]["frame"] = anker
--end
--end



local checkbutton1 = MoonTime:CreateFrame("CheckButton", "CheckButton1_"..name, anker, "UICheckButtonTemplate", "TOPLEFT", anker, "TOPLEFT", 0, 0, 28, 28)
	if MoonTime_DB["Layout_noBrainShift"][name]["active"] then checkbutton1:SetChecked() end
	checkbutton1:Show()

local textbox1 = MoonTime:CreateFontString(anker, "textbox", "ARTWORK","GameFontNormal", "TOPLEFT", checkbutton1, "TOPRIGHT", 0, -2, 270, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox1:SetText(name)
	textbox1:Show()	

local pictureframe = MoonTime:CreateFrame( "Frame", "PictureFrame_"..a, anker, "", "TOPLEFT", textbox1, "BOTTOMLEFT", -15, -2, 32, 32)
		pictureframe:SetBackdrop({
			bgFile = texture,
			tile = false, tileSize = height, edgeSize = 0,
			insets = { left = 0, right = 0, top = 0, bottom = 0 }
		})
		


	
local textbox2 = MoonTime:CreateFontString(anker, "textbox", "ARTWORK","GameFontNormalSmall", "TOPLEFT", pictureframe, "TOPRIGHT", 0, 0, 50, 16, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox2:SetText("x offset")
	textbox2:SetJustifyH("RIGHT");
	textbox2:Show()


local editframe1 = MoonTime:CreateFrame("EditBox", "MoonTimeEditBox1_"..a, anker, "InputBoxTemplate", "LEFT", textbox2, "RIGHT", 10, 0, 40, 12)
	editframe1:SetAutoFocus(false) 
	editframe1:SetText(MoonTime_DB["Layout_noBrainShift"][name]["xoffset"]);
	editframe1:SetJustifyH("CENTER");
	editframe1:SetJustifyV("CENTER");
	editframe1:SetCursorPosition(0)
	editframe1:SetScript("OnTextChanged", function(self) MoonTime_DB["Layout_noBrainShift"][name]["xoffset"] = editframe1:GetNumber() MoonTime:setLayout(MoonTime_DB["layout"]) end )
	editframe1:Show()
	
	
local textbox3 = MoonTime:CreateFontString(anker, "textbox", "ARTWORK","GameFontNormalSmall", "TOPLEFT", textbox2, "BOTTOMLEFT", 0, 0, 50, 16, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox3:SetText("y offset")
	textbox3:SetJustifyH("RIGHT");
	textbox3:Show()

local editframe2 = MoonTime:CreateFrame("EditBox", "MoonTimeEditBox2_"..a, anker, "InputBoxTemplate", "LEFT", textbox3, "RIGHT", 10, 0, 40, 12)
	editframe2:SetAutoFocus(false) 
	editframe2:SetText(MoonTime_DB["Layout_noBrainShift"][name]["yoffset"]);
	editframe2:SetJustifyH("CENTER");
	editframe2:SetJustifyV("CENTER");
	editframe2:SetCursorPosition(0)
	editframe2:SetScript("OnTextChanged", function(self) MoonTime_DB["Layout_noBrainShift"][name]["yoffset"] = editframe2:GetNumber() MoonTime:setLayout(MoonTime_DB["layout"]) end )
	editframe2:Show()

	
local textbox4 = MoonTime:CreateFontString(anker, "textbox", "ARTWORK","GameFontNormalSmall", "TOPLEFT", textbox2, "TOPRIGHT", 50, 0, 50, 12, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox4:SetText("x dim")
	textbox4:SetJustifyH("RIGHT");
	textbox4:Show()

local editframe3 = MoonTime:CreateFrame("EditBox", "MoonTimeEditBox3_"..a, anker, "InputBoxTemplate", "LEFT", textbox4, "RIGHT", 10, 0, 40, 12)
	editframe3:SetAutoFocus(false) 
	editframe3:SetText(MoonTime_DB["Layout_noBrainShift"][name]["xdim"]);
	editframe3:SetJustifyH("CENTER");
	editframe3:SetJustifyV("CENTER");
	editframe3:SetCursorPosition(0)
	editframe3:SetScript("OnTextChanged", function(self) MoonTime_DB["Layout_noBrainShift"][name]["xdim"] = editframe3:GetNumber() MoonTime:setLayout(MoonTime_DB["layout"]) end )
	editframe3:Show()
	

local textbox5 = MoonTime:CreateFontString(anker, "textbox", "ARTWORK","GameFontNormalSmall", "TOPLEFT", textbox3, "TOPRIGHT", 50, 0, 50, 12, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox5:SetText("y dim")
	textbox5:SetJustifyH("RIGHT");
	textbox5:Show()

local editframe4 = MoonTime:CreateFrame("EditBox", "MoonTimeEditBox4_"..a, anker, "InputBoxTemplate", "LEFT", textbox5, "RIGHT", 10, 0, 40, 12)
	editframe4:SetAutoFocus(false) 
	editframe4:SetText(MoonTime_DB["Layout_noBrainShift"][name]["ydim"]);
	editframe4:SetJustifyH("CENTER");
	editframe4:SetJustifyV("CENTER");
	editframe4:SetCursorPosition(0)
	editframe4:SetScript("OnTextChanged", function(self) MoonTime_DB["Layout_noBrainShift"][name]["ydim"] = editframe4:GetNumber() MoonTime:setLayout(MoonTime_DB["layout"]) end )
	editframe4:Show()


if getn(skills[name]["appearance"])>0 then 	


	
local function initialize(self, level)
	local info = UIDropDownMenu_CreateInfo()
   
	for i, v in pairs(skills[name]["appearance"]) do
		info = UIDropDownMenu_CreateInfo()
		info.text = v
		info.value = v
		info.func = function(self) 
			UIDropDownMenu_SetSelectedID( UIDROPDOWNMENU_OPEN_MENU, self:GetID()) 
			UIDropDownMenu_SetSelectedValue( UIDROPDOWNMENU_OPEN_MENU , self:GetText()) 
			MoonTime_DB["Layout_noBrainShift"][name]["appearance"] = self:GetText();
			MoonTime:setLayout(MoonTime_DB["layout"])
		end
		UIDropDownMenu_AddButton(info, level)
	end
end


local MoonTimeLayoutsDropDown=CreateFrame("Frame", "MoonTimeLayoutsDropDown_"..a, anker, "UIDropDownMenuTemplate")
	MoonTimeLayoutsDropDown:ClearAllPoints()
	MoonTimeLayoutsDropDown:SetPoint('BOTTOMLEFT', pictureframe, 'BOTTOMRIGHT', 0, 0)
	MoonTimeLayoutsDropDown:Show()
	--MoonTimeLayoutsDropDown:SetScript("OnShow", function(self)
 
 UIDropDownMenu_Initialize(MoonTimeLayoutsDropDown, initialize)
 UIDropDownMenu_SetWidth(MoonTimeLayoutsDropDown, 70);
 UIDropDownMenu_SetButtonWidth(MoonTimeLayoutsDropDown, 124)
 UIDropDownMenu_SetSelectedValue(MoonTimeLayoutsDropDown, MoonTime_DB["Layout_noBrainShift"][name]["appearance"])
 UIDropDownMenu_JustifyText(MoonTimeLayoutsDropDown, "LEFT")
 
 MoonTimeLayoutsDropDown:SetPoint('TOPLEFT', textbox3, 'BOTTOMLEFT', 0, -1)
 --end)
 


 end



--local bla = MoonTimeLayoutsDropDown
--bla:Hide()







	
	checkbutton1:SetScript("OnClick", function(self) 
		if ( checkbutton1:GetChecked() ) then 
			textbox1:SetTextColor(1,1,1) textbox2:SetTextColor(1,1,1) textbox3:SetTextColor(1,1,1) textbox4:SetTextColor(1,1,1) textbox5:SetTextColor(1,1,1) 
			editframe1:SetTextColor(1,1,1) editframe2:SetTextColor(1,1,1) editframe3:SetTextColor(1,1,1) editframe4:SetTextColor(1,1,1)
		else 
			textbox1:SetTextColor(0.5,0.5,0.5) textbox2:SetTextColor(0.5,0.5,0.5) textbox3:SetTextColor(0.5,0.5,0.5) textbox4:SetTextColor(0.5,0.5,0.5) textbox5:SetTextColor(0.5,0.5,0.5) 
			editframe1:SetTextColor(0.5,0.5,0.5) editframe2:SetTextColor(0.5,0.5,0.5) editframe3:SetTextColor(0.5,0.5,0.5) editframe4:SetTextColor(0.5,0.5,0.5)
		end 
		MoonTime_DB["Layout_noBrainShift"][name]["active"] = checkbutton1:GetChecked() 
		MoonTime:setLayout(MoonTime_DB["layout"])

	end)	
	if ( not MoonTime_DB["Layout_noBrainShift"][name]["active"] ) then 
		textbox1:SetTextColor(0.5,0.5,0.5) textbox2:SetTextColor(0.5,0.5,0.5) textbox3:SetTextColor(0.5,0.5,0.5) textbox4:SetTextColor(0.5,0.5,0.5) textbox5:SetTextColor(0.5,0.5,0.5) 
		editframe1:SetTextColor(0.5,0.5,0.5) editframe2:SetTextColor(0.5,0.5,0.5) editframe3:SetTextColor(0.5,0.5,0.5) editframe4:SetTextColor(0.5,0.5,0.5)
	end


	v = v+1


end



	-- ende Talente
	
	
	

	
	
	
	
	
local function truefalseGetChecked(button)
	if ( button:GetChecked() ) then
		return true
	else
		return false
	end
end
	

	
local function buildOnShow()
for v=0,6,1 do
	if ceil(v/2) == v/2 then 
		a = 0;
	else
		a = 281;
	end
	
	skills[blubb[v+1]]["frame"]:SetPoint("TOPLEFT", labelframe, "TOPLEFT", a, 0-floor(v/2)*100)
	skills[blubb[v+1]]["frame"]:Show()
end


for v=7,getn(blubb)-1,1 do
	skills[blubb[v+1]]["frame"]:Hide()
end
t=7;
for v = 1, 6, 1 do
	local isFree, talent = GetTalentRowSelectionInfo(v)
	local continue = false;
	local name, texture, tier, column, selected, available = GetTalentInfo(talent, 1, nil, nil, 11)

	if talent == 1 or talent == 7  or talent == 10  or talent == 17 then  continue = true  end

	if not continue then


		if ceil(t/2) == t/2 then 
			a = 0;
		else
			a = 281;
		end

		skills[name]["frame"]:SetPoint("TOPLEFT", labelframe, "TOPLEFT", a, 0-floor(t/2)*100)
		skills[name]["frame"]:Show()
		t=t+1;
	end
labelframe:SetHeight((floor(t/2))*100)
end


	
end

MoonTime_Layout_noBrainShift_ConfigPanel:SetScript("OnShow",
	function(self)
			buildOnShow()

	end
)	

	
	-- Set the size of the scroll child
MoonTime_Layout_noBrainShift_ScrollFrameScrollChild:SetSize(width, height)
 
-- Size and place the parent frame, and set the scrollchild to be the
-- frame of font strings we've created
MoonTime_Layout_noBrainShift_ScrollFrame:SetSize(width+6, height)
MoonTime_Layout_noBrainShift_ScrollFrame:SetScrollChild(labelframe)

MoonTime_Layout_noBrainShift_ConfigPanel:Hide()


InterfaceOptionsFrame_OpenToCategory("noBrainShift")
return MoonTime_Layout_noBrainShift_ConfigPanel

end


-- ****************************************
--
-- DO NOT CHANGE ANYTHING BELOW THIS 
--
-- ****************************************

local function registerConfig( )									-- Beginn initialize
	local configFrame
	local frame = CreateFrame( "Frame", "frame", UIPARENT	)
	frame:RegisterEvent("VARIABLES_LOADED");
	--frame:RegisterEvent("PLAYER_TALENT_UPDATE");

	--local kannlosgehen = false



				
				
	frame:SetScript("OnEvent", 
		function( self, event )
		
			if event=="VARIABLES_LOADED" then							-- falls das ausloesende Event VARIABLES_LOADED ist ...
																		-- werden die ausstehenden Events registriert
																		
																		
				if ( not MoonTime_DB["Layout_noBrainShift"] or MoonTime_DB["Layout_noBrainShift"]["version"] < version ) then
					frame:UpdateDB()
				end
				
				frame:SetScript("OnUpdate", function(self, event, ... ) 		
					name = GetTalentInfo(18, 1, nil, nil, 11);
		
				if name then
					frame:SetScript("OnUpdate",nil)
					MoonTimeDoorKeeper:RegisterConfig( self );
				end 
		
			end)
		end
	end)



	
	frame.UpdateDB = function()
	MoonTime:echo("DB Update")
	
		MoonTime_DB["Layout_noBrainShift"] = {
			["version"] = version,
			["MoonTimeNextCastframe"] = {
				["active"] = true,
				["xoffset"] = 0,
				["yoffset"] = -18,
				["xdim"] = 36,
				["ydim"] = 36,
			},
			["MoonTimeEclipseframe"] = {
				["active"] = true,
				["appearance"] = "text",
				["xoffset"] = 27,
				["yoffset"] = -27,
				["xdim"] = 18,
				["ydim"] = 18,
			},
			["MoonTimeMFframe"] = {
				["active"] = true,
				["appearance"] = "text",
				["xoffset"] = -27,
				["yoffset"] = -9,
				["xdim"] = 18,
				["ydim"] = 18,
			},
			["MoonTimeSunFframe"] = {
				["active"] = true,
				["appearance"] = "text",
				["xoffset"] = -27,
				["yoffset"] = -27,
				["xdim"] = 18,
				["ydim"] = 18,
			},
			["MoonTimeStarrainframe"] = {
				["active"] = true,
				["appearance"] = "text",
				["xoffset"] = -9,
				["yoffset"] = -45,
				["xdim"] = 18,
				["ydim"] = 18,
			},
			["MoonTimeTreantsframe"] = {
				["active"] = true,
				["appearance"] = "text",
				["xoffset"] = 9,
				["yoffset"] = -45,
				["xdim"] = 18,
				["ydim"] = 18,
			},
			["MoonTimeFaerieFireframe"] = {
				["active"] = true,
				["appearance"] = "text",
				["xoffset"] = 27,
				["yoffset"] = -9,
				["xdim"] = 18,
				["ydim"] = 18,
			},
			["MoonTimeCelestialAlignmentframe"] = {
				["active"] = true,
				["appearance"] = "text",
				["xoffset"] = 9,
				["yoffset"] = -45,
				["xdim"] = 18,
				["ydim"] = 18,
			},
		}

			for a = 1, 18, 1 do
		local name, texture = GetTalentInfo(a, 1, nil, nil, 11)
--		MoonTime:echo(name)
		if MoonTime_DB["Layout_noBrainShift"][name] == nil then
			MoonTime_DB["Layout_noBrainShift"][name] = {
				["active"] = false,
				["appearance"] = "text",
				["xoffset"] = 60,
				["yoffset"] = 64-32*floor((a-1)/3),
				["xdim"] = 32,
				["ydim"] = 32,	
			}
		end
	end
	end
	
	frame.createConfig = function( MainConfigFrame )
		configFrame = noBrainShiftBuildConfig( MainConfigFrame )
	end
end																		-- Ende initialize

registerConfig(NameOfLayout)

